NXOpen.UF.ModlFeatures.CreateCurveMesh

ModlFeatures.CreateCurveMesh()

Refer to UF_MODL_create_curve_mesh for documentation.

Signature: CreateCurveMesh(sPrim, sCross, sSpine, endPoint, emphasis, bodyType, splinePts, booleanArg, tol, cFaceId, cFlag)

Parameters:
  • sPrim (NXOpen.UF.Modl.StringList Refer to string_list for documentation.) – Pointer to the primary list structure. int num Total number of primary string (min=2, max=150) int string[ ] Total number of segment curves/ sketch id of each primary string (min=1, max =402) int dir[ ] Direction of each primary string 1 = Start to end -1 = End to start tag_t id[ ] Identifier of primary curve/point or the section builder object tags, but not both
  • sCross – Pointer to the cross list structure. int num Total number of string cross (min=2, max=150) int string[ ] Total number of segment curves/ sketch identifier of each string cross (min=1, max=402) int dir[ ] Direction of each string cross 1 = Start to end -1 = End to start tag_t id[ ] Identifier of cross curve or the section builder object tags, but not both
  • sSpine – Pointer to the spine list structure. int num Total number of spine string (min=0, max=1) int string[ ] Total number of segment curves/ sketch identifier of each spine string (min=1, max=402) int dir[ ] Direction of each spine string 1 = Start to end -1 = End to start tag_t id[ ] Identifier of spine curve or the section builder object tags, but not both
  • endPoint (int) – Curve end point. 0 = Do not use end point 1 = Curve of first primary string 2 = Curve of last primary string 3 = Both
  • emphasis (int) – Emphasis flag 1 = Primary curves 2 = Cross curves 3 = Both
  • bodyType (int) – Type of body: 0 = Sheet (Default) 1 = Solid
  • splinePts (int) – Spline points flag: 0 = Do not reparameterize curves 1 = Reparameterize through spline points
  • booleanArg (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • tol (list of float) – Tolerances: [0] = Distance [1] = Angle (in degrees) [2] = Intersection
  • cFaceId (list of Tag) – Object identifiers of neighbor surfaces or 4 collectors of the faces from which constraints are obtained [0] = first primary string [1] = last primary string [2] = first cross string [3] = last cross string No constraint is imposed on the corresponding string if id = NULENT
  • cFlag (list of int) – Flags indicating constraint types: 0 = no constraint 1 = tangency constraint 2 = curvature constraint with [0] = first primary string [1] = last primary string [2] = first cross string [3] = last cross string
Returns:

Body object identifier

Return type:

Tag

License requirements: SOLIDS MODELING and FREE-FORM MODELING or Basic Freeform Modeling